package com.xingxi.unifiedpay.bean;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


@Getter
@Setter
public class BiandanUnifiedpayProfitSharingRequest extends BaseBiandanUnifiedpayRequest<BiandanUnifiedpayProfitSharingResponse>{

    private String transactionId;
    private String outOrderNo;
    private List<ProfitSharingReceiversDTO> profitSharingReceivers;

    public BiandanUnifiedpayProfitSharingRequest() {
        super("profitSharing");
    }

    @Override
    public Class<BiandanUnifiedpayProfitSharingResponse> getResponseClass() {
        return null;
    }


    @Data
    public static class ProfitSharingReceiversDTO{
        private String receiverAccount;
        private Integer amount;
        private String description;
    }
}
